io.vertx.rxjava3

## Class ContextScheduler.ContextWorker

- java.lang.Object
- - io.reactivex.rxjava3.core.Scheduler.Worker
  - - io.vertx.rxjava3.ContextScheduler.ContextWorker

- All Implemented Interfaces:
    Disposable
  Enclosing class:
    ContextScheduler

      public class ContextScheduler.ContextWorker
      extends Scheduler.Worker

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContextWorker()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countActions()`
    `void` | `dispose()`
    `boolean` | `isDisposed()`
    `Disposable` | `schedule(Runnable action)`
    `Disposable` | `schedule(Runnable action, long delayTime, TimeUnit unit)`
    `Disposable` | `schedulePeriodically(Runnable action, long initialDelay, long period, TimeUnit unit)`

    - ### Methods inherited from class io.reactivex.rxjava3.core.Scheduler.Worker

      `now`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.reactivex.rxjava3.disposables.Disposable

      `disposed, empty, fromAction, fromAutoCloseable, fromFuture, fromFuture, fromRunnable, fromSubscription, toAutoCloseable`

- - ### Constructor Detail

    - #### ContextWorker

          public ContextWorker()

  - ### Method Detail

    - #### countActions

          public int countActions()

    - #### schedule

          public Disposable schedule(Runnable action)

      Overrides:
        `schedule` in class `Scheduler.Worker`

    - #### schedule

          public Disposable schedule(Runnable action,
                                     long delayTime,
                                     TimeUnit unit)

      Specified by:
        `schedule` in class `Scheduler.Worker`

    - #### schedulePeriodically

          public Disposable schedulePeriodically(Runnable action,
                                                 long initialDelay,
                                                 long period,
                                                 TimeUnit unit)

      Overrides:
        `schedulePeriodically` in class `Scheduler.Worker`

    - #### dispose

          public void dispose()

    - #### isDisposed

          public boolean isDisposed()

Copyright © 2024 Eclipse. All rights reserved.